Subject: Replacing an ancient gas floor furnace with ... what?

From: [email-masked] (Hank Roberts)
Date: Mon, 23 Oct 1995 02:09:48 GMT

Is there any stock replacement for the old low-efficiency gas floor
furnace -- the metal box under the floor, with a simple firebox?

With our Mediterranean climate it's an adequate heater, and the
firebox hasn't cracked yet so it hasn't started dumping combustion
products into the house (yes, I did get a monoxide detector!).

But it's maybe 20% efficient, and has no safety at all on the gas valve
(if the pilot goes out it'll keep dumping gas into the system) and
the valve's startedto leak a bit -- under the box where it does no harm
and the gas goes up the flue, but time to either repair or replace.

Does anything made nowadays go into the same sort of space and position,
and just send hot air up through the existing floor grating?

Because that's all we need -- the same sort of heat supply, but from
a more efficient burner, if such is available.